# Delete Consents Using the API
source: https://developer.mastercard.com/consent-management/documentation/use-cases/transaction-notifications/single-card-enrolment/apis/delete/index.md

When a cardholder revokes consent or you need to remove an enrolled card from the Transaction Notifications service, use the delete consent endpoints. You can delete all consents for a card or delete a specific consent by ID.

The following sequence shows the delete consent flow:
Diagram deleteconsent

### Delete a Specific Consent {#delete-a-specific-consent}

1. Your service calls the `consents/{card_ref}/consents/{consent_id}` endpoint, passing the `cardReference` and the `consentId` of the consent to delete:
   API Reference: `DELETE /consents/{card_ref}/consents/{consent_id}`

2. The Consent Management \& Enrollment API deletes the specified consent. If the card reference or consent ID is not found, the API returns a `404` error.

### Delete All Consents for a Card {#delete-all-consents-for-a-card}

1. Your service calls the `consents/{card_ref}` endpoint with a DELETE request, passing the `cardReference` of the enrolled card:
   API Reference: `DELETE /consents/{card_ref}`

2. The Consent Management \& Enrollment API deletes all consents associated with the specified card. If the card reference is not found, the API returns a `404` error.

## Next Steps {#next-steps}

* To check remaining consents on a card after deletion, see [Retrieve Consent](https://developer.mastercard.com/consent-management/documentation/use-cases/transaction-notifications/single-card-enrolment/apis/retrieve/index.md).
* To enroll a new card, see [Enrollment](https://developer.mastercard.com/consent-management/documentation/use-cases/transaction-notifications/single-card-enrolment/apis/enroll/index.md).
